%global short_name commons-sandbox-parent
Name:          apache-commons-sandbox-parent
Version:       9
Release:       %mkrel 3
Summary:       Commons Sandbox Parent
Group:         Development/Java
License:       ASL 2.0
Url:           http://commons.apache.org/sandbox/
Source0:       http://repo1.maven.org/maven2/org/apache/commons/commons-sandbox-parent/9/commons-sandbox-parent-9.pom
BuildRequires: jpackage-utils
BuildRequires: java-devel

Requires:      apache-commons-parent
Requires:      maven-plugin-cobertura
Requires:      maven-pmd-plugin
Requires:      taglist-maven-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Sandbox is a Subversion repository for Commons committers to function as an open workspace for sharing and
collaboration. The Sandbox serves as a staging ground for project which are destined for what is known as the
Commons Proper.

The Commons Sandbox Parent contains a trunks-sandbox profile with the sandbox components set up as <modules>.

%prep
%setup -T -q -c

%build

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %SOURCE0 %{buildroot}%{_mavenpomdir}/JPP-%{short_name}.pom
%add_to_maven_depmap org.apache.commons %{short_name} %{version} JPP %{short_name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 9-3.mga3
+ Revision: 345820
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 29 2011 gil <gil> 9-2.mga2
+ Revision: 159372
- edit description

* Wed Oct 26 2011 gil <gil> 9-1.mga2
+ Revision: 158480
- imported package apache-commons-sandbox-parent

